import request from '@/utils/request'

// 查询企业公示_出资人实缴明细列表
export function listContributors(query) {
  return request({
    url: '/basicData/xcrEnterprisePublicityDetailsContributionsContributors/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业公示_出资人实缴明细详细
export function getContributors(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicityDetailsContributionsContributors/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业公示_出资人实缴明细
export function addContributors(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicityDetailsContributionsContributors',
    method: 'post',
    data: data
  })
}

// 修改企业公示_出资人实缴明细
export function updateContributors(data) {
  return request({
    url: '/basicData/xcrEnterprisePublicityDetailsContributionsContributors',
    method: 'put',
    data: data
  })
}

// 删除企业公示_出资人实缴明细
export function delContributors(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterprisePublicityDetailsContributionsContributors/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delContributorsBatch(ids) {
  return request.post('/basicData/xcrEnterprisePublicityDetailsContributionsContributors/delete',ids)
}
